import{s as St,o as xt,n as Ct}from"../chunks/scheduler.7bc62968.js";import{S as $t,i as At,g as l,s as n,r as p,A as Dt,h as r,f as o,c as s,j as Tt,u as h,x as i,k as ze,y as Ht,a,v as f,d as u,t as g,w}from"../chunks/index.2f8492b0.js";import{T as Lt}from"../chunks/Tip.016f38d9.js";import{H as T}from"../chunks/Heading.14fb2476.js";function kt(ne){let d,m='<a href="./model-cards-user-studies">Checkout the User Studies</a>';return{c(){d=l("p"),d.innerHTML=m},l(c){d=r(c,"P",{"data-svelte-h":!0}),i(d)!=="svelte-mai60m"&&(d.innerHTML=m)},m(c,v){a(c,d,v)},p:Ct,d(c){c&&o(d)}}}function _t(ne){let d,m='<a href="./model-card-appendix">See Appendix</a>';return{c(){d=l("p"),d.innerHTML=m},l(c){d=r(c,"P",{"data-svelte-h":!0}),i(d)!=="svelte-iexl9a"&&(d.innerHTML=m)},m(c,v){a(c,d,v)},p:Ct,d(c){c&&o(d)}}}function Ot(ne){let d,m,c,v,L,le,C,qe='The development of the model cards framework in 2018 was inspired by the major documentation framework efforts of Data Statements for Natural Language Processing (<a href="https://aclanthology.org/Q18-1041/" rel="nofollow">Bender &amp; Friedman, 2018</a>) and Datasheets for Datasets (<a href="https://www.fatml.org/media/documents/datasheets_for_datasets.pdf" rel="nofollow">Gebru et al., 2018</a>). Since model cards were proposed, a number of other tools have been proposed for documenting and evaluating various aspects of the machine learning development cycle. These tools, including model cards and related documentation efforts proposed prior to model cards, can be contextualised with regard to their focus (e.g., on which part of the ML system lifecycle does the tool focus?) and their intended audiences (e.g., who is the tool designed for?). In Figures 1-2 below, we summarise several prominent documentation tools along these dimensions, provide contextual descriptions of each tool, and link to examples. We broadly classify the documentation tools as belong to the following groups:',re,S,Ye="<li><strong>Data-focused</strong>, including documentation tools focused on datasets used in the machine learning system lifecycle</li> <li><strong>Models-and-methods-focused</strong>, including documentation tools focused on machine learning models and methods; and</li> <li><strong>Systems-focused</strong>, including documentation tools focused on ML systems, including models, methods, datasets, APIs, and non AI/ML components that interact with each other as part of an ML system</li>",ie,x,Ve="These groupings are not mutually exclusive; they do include overlapping aspects of the ML system lifecycle. For example, <strong>system cards</strong> focus on documenting ML systems that may include multiple models and datasets, and thus might include content that overlaps with data-focused or model-focused documentation tools. The tools described are a non-exhaustive list of documentation tools for the ML system lifecycle. In general, we included tools that were:",de,$,Qe="<li>Focused on documentation of some (or multiple) aspects of the ML system lifecycle</li> <li>Included the release of a template intended for repeated use, adoption, and adaption</li>",ce,A,me,D,pe,H,Ze='<thead><tr><th align="center"><strong>Stage of ML System Lifecycle</strong></th> <th><strong>Tool</strong></th> <th><strong>Brief Description</strong></th> <th><strong>Examples</strong></th></tr></thead> <tbody><tr><td align="center">DATA</td> <td><strong><em>Datasheets</em></strong> <a href="https://www.fatml.org/media/documents/datasheets_for_datasets.pdf" rel="nofollow">(Gebru et al., 2018)</a></td> <td>“We recommend that every dataset be accompanied with a datasheet documenting its motivation, creation, composition, intended uses, distribution, maintenance, and other information.”</td> <td>See, for example, <a href="https://github.com/ivylee/model-cards-and-datasheets" rel="nofollow">Ivy Lee’s repo</a> with examples</td></tr> <tr><td align="center">DATA</td> <td><strong><em>Data Statements</em></strong> <a href="https://techpolicylab.uw.edu/wp-content/uploads/2021/11/Data_Statements_Guide_V2.pdf" rel="nofollow">(Bender &amp; Friedman, 2018)(Bender et al., 2021)</a></td> <td>“A data statement is a characterization of a dataset that provides context to allow developers and users to better understand how experimental results might generalize, how software might be appropriately deployed, and what biases might be reflected in systems built on the software.”</td> <td>See <a href="https://techpolicylab.uw.edu/events/event/data-statements-for-nlp/" rel="nofollow">Data Statements for NLP Workshop</a></td></tr> <tr><td align="center">DATA</td> <td><strong><em>Dataset Nutrition Labels</em></strong> <a href="https://huggingface.co/papers/1805.03677" rel="nofollow">(Holland et al., 2018)</a></td> <td>“The Dataset Nutrition Label…is a diagnostic framework that lowers the barrier to standardized data analysis by providing a distilled yet comprehensive overview of dataset “ingredients” before AI model development.”</td> <td>See <a href="https://datanutrition.org/labels/" rel="nofollow">The Data Nutrition Label</a></td></tr> <tr><td align="center">DATA</td> <td><strong><em>Data Cards for NLP</em></strong> <a href="https://huggingface.co/papers/2108.07374" rel="nofollow">(McMillan-Major et al., 2021)</a></td> <td>“We present two case studies of creating documentation templates and guides in natural language processing (NLP): the Hugging Face (HF) dataset hub[^1] and the benchmark for Generation and its Evaluation and Metrics (GEM). We use the term data card to refer to documentation for datasets in both cases.</td> <td>See <a href="https://huggingface.co/papers/2108.07374" rel="nofollow">(McMillan-Major et al., 2021)</a></td></tr> <tr><td align="center">DATA</td> <td><strong><em>Dataset Development Lifecycle Documentation Framework</em></strong> <a href="https://dl.acm.org/doi/pdf/10.1145/3442188.3445918" rel="nofollow">(Hutchinson et al., 2021)</a></td> <td>“We introduce a rigorous framework for dataset development transparency that supports decision-making and accountability. The framework uses the cyclical, infrastructural and engineering nature of dataset development to draw on best practices from the software development lifecycle.”</td> <td>See <a href="https://dl.acm.org/doi/pdf/10.1145/3442188.3445918" rel="nofollow">(Hutchinson et al., 2021)</a>, Appendix A for templates</td></tr> <tr><td align="center">DATA</td> <td><strong><em>Data Cards</em></strong> <a href="https://huggingface.co/papers/2204.01075" rel="nofollow">(Pushkarna et al., 2021)</a></td> <td>“Data Cards are structured summaries of essential facts about various aspects of ML datasets needed by stakeholders across a dataset’s lifecycle for responsible AI development. These summaries provide explanations of processes and rationales that shape the data and consequently the models.”</td> <td>See the <a href="https://github.com/PAIR-code/datacardsplaybook/" rel="nofollow">Data Cards Playbook github</a></td></tr> <tr><td align="center">DATA</td> <td><strong><em>CrowdWorkSheets</em></strong> <a href="https://huggingface.co/papers/2206.08931" rel="nofollow">(Díaz et al., 2022)</a></td> <td>“We introduce a novel framework, CrowdWorkSheets, for dataset developers to facilitate transparent documentation of key decisions points at various stages of the data annotation pipeline: task formulation, selection of annotators, plat- form and infrastructure choices, dataset analysis and evaluation, and dataset release and maintenance.”</td> <td>See <a href="hhttps://huggingface.co/papers/2206.08931">(Díaz et al., 2022)</a></td></tr> <tr><td align="center">MODELS AND METHODS</td> <td><strong><em>Model Cards</em></strong> <a href="https://huggingface.co/papers/1810.03993" rel="nofollow">Mitchell et al. (2018)</a></td> <td>“Model cards are short documents accompanying trained machine learning models that provide benchmarked evaluation in a variety of conditions…that are relevant to the intended application domains. Model cards also disclose the context in which models are intended to be used, details of the performance evaluation procedures, and other relevant information.”</td> <td>See <a href="https://huggingface.co/models" rel="nofollow">https://huggingface.co/models</a> (and <a href="https://docs.google.com/document/d/1qapo3LEfRatHmyZYwklopeitIZiaEC3p1WX30c6CeP4/edit#heading=h.xvsvrztjqdod" rel="nofollow">Model Card Examples</a> below)</td></tr> <tr><td align="center">MODELS AND METHODS</td> <td><strong><em>Value Cards</em></strong> <a href="https://dl.acm.org/doi/abs/10.1145/3442188.3445971" rel="nofollow">Shen et al. (2021)</a></td> <td>“We present Value Cards, a deliberation-driven toolkit for bringing computer science students and practitioners the awareness of the social impacts of machine learning-based decision making systems….Value Cards encourages the investigations and debates towards different ML performance metrics and their potential trade-offs.”</td> <td>See <a href="https://dl.acm.org/doi/abs/10.1145/3442188.3445971" rel="nofollow">Shen et al. (2021)</a>, Section 3.3</td></tr> <tr><td align="center">MODELS AND METHODS</td> <td><strong><em>Method Cards</em></strong> <a href="https://dl.acm.org/doi/pdf/10.1145/3491101.3519724" rel="nofollow">Adkins et al. (2022)</a></td> <td>“We propose method cards to guide ML engineers through the process of model development…The information comprises both prescriptive and descriptive elements, putting the main focus on ensuring that ML engineers are able to use these methods properly.”</td> <td>See <a href="https://dl.acm.org/doi/pdf/10.1145/3491101.3519724" rel="nofollow">Adkins et al. (2022)</a>, Appendix A</td></tr> <tr><td align="center">MODELS AND METHODS</td> <td><strong><em>Consumer Labels for ML Models</em></strong> <a href="https://ris.utwente.nl/ws/portalfiles/portal/158031484/Seifert2019_cogmi_consumer_labels_preprint.pdf" rel="nofollow">Seifert et al. (2019)</a></td> <td>“We propose to issue consumer labels for trained and published ML models. These labels primarily target machine learning lay persons, such as the operators of an ML system, the executors of decisions, and the decision subjects themselves”</td> <td>See <a href="https://ris.utwente.nl/ws/portalfiles/portal/158031484/Seifert2019_cogmi_consumer_labels_preprint.pdf" rel="nofollow">Seifert et al. (2019)</a></td></tr> <tr><td align="center">SYSTEMS</td> <td><strong><em>Factsheets</em></strong> <a href="https://huggingface.co/papers/1808.07261" rel="nofollow">Arnold et al. (2019)</a></td> <td>“A FactSheet will contain sections on all relevant attributes of an AI service, such as intended use, performance, safety, and security. Performance will include appropriate accuracy or risk measures along with timing information.”</td> <td>See <a href="https://aifs360.res.ibm.com" rel="nofollow">IBM’s AI Factsheets 360</a> and <a href="https://dl.acm.org/doi/abs/10.1145/3334480.3383051" rel="nofollow">Hind et al., (2020)</a></td></tr> <tr><td align="center">SYSTEMS</td> <td><strong><em>System Cards</em></strong> <a href="https://ai.facebook.com/research/publications/system-level-transparency-of-machine-learning" rel="nofollow">Procope et al. (2022)</a></td> <td>“System Cards aims to increase the transparency of ML systems by providing stakeholders with an overview of different components of an ML system, how these components interact, and how different pieces of data and protected information are used by the system.”</td> <td>See <a href="https://ai.facebook.com/tools/system-cards/instagram-feed-ranking/" rel="nofollow">Meta’s Instagram Feed Ranking System Card</a></td></tr> <tr><td align="center">SYSTEMS</td> <td><strong><em>Reward Reports for RL</em></strong> <a href="https://huggingface.co/papers/2204.10817" rel="nofollow">Gilbert et al. (2022)</a></td> <td>“We sketch a framework for documenting deployed learning systems, which we call Reward Reports…We outline Reward Reports as living documents that track updates to design choices and assumptions behind what a particular automated system is optimizing for. They are intended to track dynamic phenomena arising from system deployment, rather than merely static properties of models or data.”</td> <td>See <a href="https://rewardreports.github.io" rel="nofollow">https://rewardreports.github.io</a></td></tr> <tr><td align="center">SYSTEMS</td> <td><strong><em>Robustness Gym</em></strong> <a href="https://huggingface.co/papers/2101.04840" rel="nofollow">Goel et al. (2021)</a></td> <td>“We identify challenges with evaluating NLP systems and propose a solution in the form of Robustness Gym (RG), a simple and extensible evaluation toolkit that unifies 4 standard evaluation paradigms: subpopulations, transformations, evaluation sets, and adversarial attacks.”</td> <td>See <a href="https://github.com/robustness-gym/robustness-gym" rel="nofollow">https://github.com/robustness-gym/robustness-gym</a></td></tr> <tr><td align="center">SYSTEMS</td> <td><strong><em>ABOUT ML</em></strong> <a href="https://huggingface.co/papers/1912.06166" rel="nofollow">Raji and Yang, (2019)</a></td> <td>“ABOUT ML (Annotation and Benchmarking on Understanding and Transparency of Machine Learning Lifecycles) is a multi-year, multi-stakeholder initiative led by PAI. This initiative aims to bring together a diverse range of perspectives to develop, test, and implement machine learning system documentation practices at scale.”</td> <td>See <a href="https://partnershiponai.org/about-ml-resources-library/" rel="nofollow">ABOUT ML’s resources library</a></td></tr></tbody>',he,k,fe,_,Xe="Several proposed documentation tools focus on datasets used in the ML system lifecycle, including to train, develop, validate, finetune, and evaluate machine learning models as part of continuous cycles. These tools generally focus on the many aspects of the data lifecycle (perhaps for a particular dataset, group of datasets, or more broadly), including how the data was assembled, collected, annotated and how it should be used.",ue,O,Je='<li>Extending the concept of datasheets in the electronics industry, <a href="https://www.fatml.org/media/documents/datasheets_for_datasets.pdf" rel="nofollow">Gebru et al. (2018)</a> propose datasheets for datasets to document details related to a dataset’s creation, potential uses, and associated concerns.</li> <li><a href="https://aclanthology.org/Q18-1041/" rel="nofollow">Bender and Friedman (2018)</a> propose data statements for natural language processing. <a href="https://techpolicylab.uw.edu/wp-content/uploads/2021/11/Data_Statements_Guide_V2.pdf" rel="nofollow">Bender, Friedman and McMillan-Major (2021)</a> update the original data statements framework and provide resources including a guide for writing data statements and translating between the first version of the schema and the newer version[^2].</li> <li><a href="https://huggingface.co/papers/1805.03677" rel="nofollow">Holland et al. (2018)</a> propose data nutrition labels, akin to nutrition facts for foodstuffs and nutrition labels for privacy disclosures, as a tool for analyzing and making decisions about datasets. The Data Nutrition Label team released an updated design of and interface for the label in 2020  (<a href="https://huggingface.co/papers/2201.03954" rel="nofollow">Chmielinski et al., 2020)</a>).</li> <li><a href="https://huggingface.co/papers/2108.07374" rel="nofollow">McMillan-Major et al. (2021)</a> describe the development process and resulting templates for <strong>data cards for NLP</strong> in the form of data cards on the Hugging Face Hub[^3] and data cards for datasets that are part of the NLP benchmark for Generation and its Evaluation Metrics (GEM) environment[^4].</li> <li><a href="https://dl.acm.org/doi/pdf/10.1145/3442188.3445918" rel="nofollow">Hutchinson et al. (2021)</a> describe the need for comprehensive dataset documentation, and drawing on software development practices, provide templates for documenting several aspects of the dataset development lifecycle (for the purposes of Tables 1 and 2, we refer to their framework as the <strong>Dataset Development Lifecycle Documentation Framework</strong>).</li> <li><a href="https://huggingface.co/papers/2204.01075" rel="nofollow">Pushkarna et al. (2021)</a> propose the data cards as part of the <strong>data card playbook</strong>, a human-centered documentation tool focused on datasets used in industry and research.</li>',ge,E,we,P,Ke="Another set of documentation tools can be thought of as focusing on machine learning models and machine learning methods. These include:",ve,F,et='<li><p><a href="https://huggingface.co/papers/1810.03993" rel="nofollow">Mitchell et al. (2018)</a> propose <strong>model cards</strong> for model reporting to accompany trained ML models and document issues related to evaluation, use, and other issues</p></li> <li><p><a href="https://dl.acm.org/doi/abs/10.1145/3442188.3445971" rel="nofollow">Shen et al. (2021)</a> propose <strong>value cards</strong> for teaching students and practitioners about values related to ML models</p></li> <li><p><a href="https://ris.utwente.nl/ws/portalfiles/portal/158031484/Seifert2019_cogmi_consumer_labels_preprint.pdf" rel="nofollow">Seifert et al. (2019)</a> propose <strong>consumer labels for ML models</strong> to help non-experts using or affected by the model understand key issues related to the model.</p></li> <li><p><a href="https://dl.acm.org/doi/pdf/10.1145/3491101.3519724" rel="nofollow">Adkins et al. (2022)</a> analyse aspects of descriptive documentation tools – which they consider to include <strong>model cards</strong> and data sheets – and argue for increased prescriptive tools for ML engineers. They propose method cards, focused on ML methods, and design primarily with technical stakeholders like model developers and reviewers in mind.</p> <ul><li><p>They envision the relationship between model cards and method cards, in part, by stating: “The sections and prompts we propose…[in the method card template] focus on ML methods that are sufficient to produce a proper ML model with defined input, output, and task. Examples for these are object detection methods such as Single-shot Detectors and language modelling methods such as Generative Pre-trained Transformers (GPT). <em>It is possible to create Model Cards for the models created using these methods</em>.”</p></li> <li><p>They also state “While Model Cards and FactSheets put main focus on documenting existing models, Method Cards focus more on the underlying methodical and algorithmic choices that need to be considered when creating and training these models. <em>As a rough analogy, if Model Cards and FactSheets provide nutritional information about cooked meals, Method Cards provide the recipes</em>.”</p></li></ul></li>',ye,N,be,I,tt="Rather than focusing on particular models, datasets, or methods, system-focused documentation tools look at how models interact with each other, with datasets, methods, and with other ML components to form ML systems.",Me,U,ot='<li><a href="https://ai.facebook.com/research/publications/system-level-transparency-of-machine-learning" rel="nofollow">Procope et al. (2022)</a> propose system cards to document and explain AI systems – potentially including multiple ML models, AI tools, and non-AI technologies – that work together to accomplish tasks.</li> <li><a href="https://huggingface.co/papers/1808.07261" rel="nofollow">Arnold et al. (2019)</a> extend the idea of declarations of conformity for consumer products to AI services, proposing FactSheets to document aspects of “AI services” which are typically accessed through APIs and may be composed of multiple different ML models. <a href="https://dl.acm.org/doi/abs/10.1145/3334480.3383051" rel="nofollow">Hind et al. (2020)</a> share reflections on building factsheets.</li> <li><a href="https://huggingface.co/papers/2204.10817" rel="nofollow">Gilbert et al. (2022)</a> propose <strong>Reward Reports for Reinforcement Learning</strong> systems, recognizing the dynamic nature of ML systems and the need for documentation efforts to incorporate considerations of post-deployment performance, especially for reinforcement learning systems.</li> <li><a href="https://huggingface.co/papers/2101.04840" rel="nofollow">Goel et al. (2021)</a> develop <strong>Robustness Gym</strong>, an evaluation toolkit for testing several aspects of deep neural networks in real-world systems, allowing for comparison across evaluation paradigms.</li> <li>Through the <a href="https://partnershiponai.org/workstream/about-ml/" rel="nofollow">ABOUT ML project</a> (<a href="https://huggingface.co/papers/1912.06166" rel="nofollow">Raji and Yang, 2019</a>), the Partnership on AI is coordinating efforts across groups of stakeholders in the machine learning community to develop comprehensive, scalable documentation tools for ML systems.</li>',Te,G,Le,R,at="Since the proposal for model cards by Mitchell et al. in 2018, model cards have been adopted and adapted by various organisations, including by major technology companies and startups developing and hosting machine learning models[^5], researchers describing new techniques[^6], and government stakeholders evaluating models for various projects[^7]. Model cards also appear as part of AI Ethics educational toolkits, and numerous organisations and developers have created implementations for automating or semi-automating the creation of model cards. Appendix A provides a set of examples of model cards for various types of ML models created by different organisations (including model cards for large language models), model card generation tools, and model card educational tools.",Ce,W,Se,B,nt="Since 2018, new platforms and mediums for hosting and sharing model cards have also emerged. For example, particularly relevant to this project, Hugging Face hosts model cards on the Hugging Face Hub as README files in the repositories associated with ML models. As a result, model cards figure as a prominent form of documentation for users of models on the Hugging Face Hub. As part of our analysis of model cards, we developed and proposed model cards for several dozen ML models on the Hugging Face Hub, using the Hub’s Pull Request (PR) and Discussion features to gather feedback on model cards, verify information included in model cards, and publish model cards for models on the Hugging Face Hub. At the time of writing of this guide book, all of Hugging Face’s models on the Hugging Face Hub have an associated model card on the Hub[^8].",xe,j,st=`The high number of models uploaded to the Hugging Face Hub (101,041 models at the point of writing), enabled us to explore the content within model cards on the hub:
We began by analysing language model, model cards, in order to identify patterns (e.g repeated sections and subsections, with the aim of answering initial questions such as:`,$e,z,lt="1) How many of these models have model cards?",Ae,q,rt="2) What percent of downloads had an associated model card?",De,Y,it="From our analysis of all the models on the hub, we noticed that the most downloads come from top 200 models.",He,y,dt='<img class="block dark:hidden" src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/hub/mc-downloads.png"/>',ke,V,ct="With a continued focus on large language models, ordered by most downloaded and only models with model cards to begin with, we noted the most recurring sections within their respective model cards.",_e,Q,mt="While some headings within model cards may differ between models, we grouped components/the theme of each section within each model cards and then mapped them to section headings that were the most recurring (mostly found in the top 200 downloaded models and with the aid/guidance of the Bloom model card)",Oe,b,Ee,M,Pe,Z,pt="[^1]: For each tool, descriptions are excerpted from the linked paper listed in the second column.",Fe,X,ht='[^2]: See <a href="https://techpolicylab.uw.edu/data-statements/" rel="nofollow">https://techpolicylab.uw.edu/data-statements/</a> .',Ne,J,ft='[^3]: See <a href="https://techpolicylab.uw.edu/data-statements/" rel="nofollow">https://techpolicylab.uw.edu/data-statements/</a> .',Ie,K,ut='[^4]: See <a href="https://techpolicylab.uw.edu/data-statements/" rel="nofollow">https://techpolicylab.uw.edu/data-statements/</a> .',Ue,ee,gt='[^5]: See, e.g., the Hugging Face Hub, Google Cloud’s Model Cards <a href="https://modelcards.withgoogle.com/about" rel="nofollow">https://modelcards.withgoogle.com/about</a> .',Ge,te,wt="[^6]: See Appendix A.",Re,oe,vt="[^7]: See GSA / US Census Bureau Collaboration on Model Card Generator.",We,ae,yt="[^8]: By “Hugging Face models,” we mean models shared by Hugging Face, not another organisation, on the Hub. Formally, these are models without a ‘/’ in their model ID.",Be,se,je;return L=new T({props:{title:"THE LANDSCAPE OF ML DOCUMENTATION TOOLS",local:"the-landscape-of-ml-documentation-tools",headingTag:"h1"}}),A=new T({props:{title:"Summary of ML Documentation Tools",local:"summary-of-ml-documentation-tools",headingTag:"h2"}}),D=new T({props:{title:"Figure 1",local:"figure-1",headingTag:"h3"}}),k=new T({props:{title:"DATA-FOCUSED DOCUMENTATION TOOLS",local:"data-focused-documentation-tools",headingTag:"h3"}}),E=new T({props:{title:"MODEL-AND-METHOD-FOCUSED DOCUMENTATION TOOLS",local:"model-and-method-focused-documentation-tools",headingTag:"h3"}}),N=new T({props:{title:"SYSTEM-FOCUSED DOCUMENTATION TOOLS",local:"system-focused-documentation-tools",headingTag:"h3"}}),G=new T({props:{title:"THE EVOLUTION OF MODEL CARDS",local:"the-evolution-of-model-cards",headingTag:"h2"}}),W=new T({props:{title:"MODEL CARDS ON THE HUGGING FACE HUB",local:"model-cards-on-the-hugging-face-hub",headingTag:"h3"}}),b=new Lt({props:{$$slots:{default:[kt]},$$scope:{ctx:ne}}}),M=new Lt({props:{$$slots:{default:[_t]},$$scope:{ctx:ne}}}),{c(){d=l("meta"),m=n(),c=l("p"),v=n(),p(L.$$.fragment),le=n(),C=l("p"),C.innerHTML=qe,re=n(),S=l("ul"),S.innerHTML=Ye,ie=n(),x=l("p"),x.innerHTML=Ve,de=n(),$=l("ul"),$.innerHTML=Qe,ce=n(),p(A.$$.fragment),me=n(),p(D.$$.fragment),pe=n(),H=l("table"),H.innerHTML=Ze,he=n(),p(k.$$.fragment),fe=n(),_=l("p"),_.textContent=Xe,ue=n(),O=l("ul"),O.innerHTML=Je,ge=n(),p(E.$$.fragment),we=n(),P=l("p"),P.textContent=Ke,ve=n(),F=l("ul"),F.innerHTML=et,ye=n(),p(N.$$.fragment),be=n(),I=l("p"),I.textContent=tt,Me=n(),U=l("ul"),U.innerHTML=ot,Te=n(),p(G.$$.fragment),Le=n(),R=l("p"),R.textContent=at,Ce=n(),p(W.$$.fragment),Se=n(),B=l("p"),B.textContent=nt,xe=n(),j=l("p"),j.textContent=st,$e=n(),z=l("p"),z.textContent=lt,Ae=n(),q=l("p"),q.textContent=rt,De=n(),Y=l("p"),Y.textContent=it,He=n(),y=l("div"),y.innerHTML=dt,ke=n(),V=l("p"),V.textContent=ct,_e=n(),Q=l("p"),Q.textContent=mt,Oe=n(),p(b.$$.fragment),Ee=n(),p(M.$$.fragment),Pe=n(),Z=l("p"),Z.textContent=pt,Fe=n(),X=l("p"),X.innerHTML=ht,Ne=n(),J=l("p"),J.innerHTML=ft,Ie=n(),K=l("p"),K.innerHTML=ut,Ue=n(),ee=l("p"),ee.innerHTML=gt,Ge=n(),te=l("p"),te.textContent=wt,Re=n(),oe=l("p"),oe.textContent=vt,We=n(),ae=l("p"),ae.textContent=yt,Be=n(),se=l("p"),this.h()},l(e){const t=Dt("svelte-u9bgzb",document.head);d=r(t,"META",{name:!0,content:!0}),t.forEach(o),m=s(e),c=r(e,"P",{}),Tt(c).forEach(o),v=s(e),h(L.$$.fragment,e),le=s(e),C=r(e,"P",{"data-svelte-h":!0}),i(C)!=="svelte-1k6v2mu"&&(C.innerHTML=qe),re=s(e),S=r(e,"UL",{"data-svelte-h":!0}),i(S)!=="svelte-1lwtl30"&&(S.innerHTML=Ye),ie=s(e),x=r(e,"P",{"data-svelte-h":!0}),i(x)!=="svelte-5hpx7x"&&(x.innerHTML=Ve),de=s(e),$=r(e,"UL",{"data-svelte-h":!0}),i($)!=="svelte-1lan3cy"&&($.innerHTML=Qe),ce=s(e),h(A.$$.fragment,e),me=s(e),h(D.$$.fragment,e),pe=s(e),H=r(e,"TABLE",{"data-svelte-h":!0}),i(H)!=="svelte-1sy9he9"&&(H.innerHTML=Ze),he=s(e),h(k.$$.fragment,e),fe=s(e),_=r(e,"P",{"data-svelte-h":!0}),i(_)!=="svelte-cayk2p"&&(_.textContent=Xe),ue=s(e),O=r(e,"UL",{"data-svelte-h":!0}),i(O)!=="svelte-pk5hg7"&&(O.innerHTML=Je),ge=s(e),h(E.$$.fragment,e),we=s(e),P=r(e,"P",{"data-svelte-h":!0}),i(P)!=="svelte-1o6c73x"&&(P.textContent=Ke),ve=s(e),F=r(e,"UL",{"data-svelte-h":!0}),i(F)!=="svelte-1hpp0b7"&&(F.innerHTML=et),ye=s(e),h(N.$$.fragment,e),be=s(e),I=r(e,"P",{"data-svelte-h":!0}),i(I)!=="svelte-1fs6w0x"&&(I.textContent=tt),Me=s(e),U=r(e,"UL",{"data-svelte-h":!0}),i(U)!=="svelte-100suwn"&&(U.innerHTML=ot),Te=s(e),h(G.$$.fragment,e),Le=s(e),R=r(e,"P",{"data-svelte-h":!0}),i(R)!=="svelte-newof3"&&(R.textContent=at),Ce=s(e),h(W.$$.fragment,e),Se=s(e),B=r(e,"P",{"data-svelte-h":!0}),i(B)!=="svelte-1a4askh"&&(B.textContent=nt),xe=s(e),j=r(e,"P",{"data-svelte-h":!0}),i(j)!=="svelte-1ol91ky"&&(j.textContent=st),$e=s(e),z=r(e,"P",{"data-svelte-h":!0}),i(z)!=="svelte-1msmr26"&&(z.textContent=lt),Ae=s(e),q=r(e,"P",{"data-svelte-h":!0}),i(q)!=="svelte-1ad1pos"&&(q.textContent=rt),De=s(e),Y=r(e,"P",{"data-svelte-h":!0}),i(Y)!=="svelte-1hukb75"&&(Y.textContent=it),He=s(e),y=r(e,"DIV",{class:!0,"data-svelte-h":!0}),i(y)!=="svelte-1x5kkyt"&&(y.innerHTML=dt),ke=s(e),V=r(e,"P",{"data-svelte-h":!0}),i(V)!=="svelte-19s89bh"&&(V.textContent=ct),_e=s(e),Q=r(e,"P",{"data-svelte-h":!0}),i(Q)!=="svelte-rxe68z"&&(Q.textContent=mt),Oe=s(e),h(b.$$.fragment,e),Ee=s(e),h(M.$$.fragment,e),Pe=s(e),Z=r(e,"P",{"data-svelte-h":!0}),i(Z)!=="svelte-vwhql"&&(Z.textContent=pt),Fe=s(e),X=r(e,"P",{"data-svelte-h":!0}),i(X)!=="svelte-1magb7a"&&(X.innerHTML=ht),Ne=s(e),J=r(e,"P",{"data-svelte-h":!0}),i(J)!=="svelte-1lt6nod"&&(J.innerHTML=ft),Ie=s(e),K=r(e,"P",{"data-svelte-h":!0}),i(K)!=="svelte-1r9rpmc"&&(K.innerHTML=ut),Ue=s(e),ee=r(e,"P",{"data-svelte-h":!0}),i(ee)!=="svelte-18g6upz"&&(ee.innerHTML=gt),Ge=s(e),te=r(e,"P",{"data-svelte-h":!0}),i(te)!=="svelte-1rqefv9"&&(te.textContent=wt),Re=s(e),oe=r(e,"P",{"data-svelte-h":!0}),i(oe)!=="svelte-96hxtn"&&(oe.textContent=vt),We=s(e),ae=r(e,"P",{"data-svelte-h":!0}),i(ae)!=="svelte-qj1uk3"&&(ae.textContent=yt),Be=s(e),se=r(e,"P",{}),Tt(se).forEach(o),this.h()},h(){ze(d,"name","hf:doc:metadata"),ze(d,"content",Et),ze(y,"class","flex justify-center")},m(e,t){Ht(document.head,d),a(e,m,t),a(e,c,t),a(e,v,t),f(L,e,t),a(e,le,t),a(e,C,t),a(e,re,t),a(e,S,t),a(e,ie,t),a(e,x,t),a(e,de,t),a(e,$,t),a(e,ce,t),f(A,e,t),a(e,me,t),f(D,e,t),a(e,pe,t),a(e,H,t),a(e,he,t),f(k,e,t),a(e,fe,t),a(e,_,t),a(e,ue,t),a(e,O,t),a(e,ge,t),f(E,e,t),a(e,we,t),a(e,P,t),a(e,ve,t),a(e,F,t),a(e,ye,t),f(N,e,t),a(e,be,t),a(e,I,t),a(e,Me,t),a(e,U,t),a(e,Te,t),f(G,e,t),a(e,Le,t),a(e,R,t),a(e,Ce,t),f(W,e,t),a(e,Se,t),a(e,B,t),a(e,xe,t),a(e,j,t),a(e,$e,t),a(e,z,t),a(e,Ae,t),a(e,q,t),a(e,De,t),a(e,Y,t),a(e,He,t),a(e,y,t),a(e,ke,t),a(e,V,t),a(e,_e,t),a(e,Q,t),a(e,Oe,t),f(b,e,t),a(e,Ee,t),f(M,e,t),a(e,Pe,t),a(e,Z,t),a(e,Fe,t),a(e,X,t),a(e,Ne,t),a(e,J,t),a(e,Ie,t),a(e,K,t),a(e,Ue,t),a(e,ee,t),a(e,Ge,t),a(e,te,t),a(e,Re,t),a(e,oe,t),a(e,We,t),a(e,ae,t),a(e,Be,t),a(e,se,t),je=!0},p(e,[t]){const bt={};t&2&&(bt.$$scope={dirty:t,ctx:e}),b.$set(bt);const Mt={};t&2&&(Mt.$$scope={dirty:t,ctx:e}),M.$set(Mt)},i(e){je||(u(L.$$.fragment,e),u(A.$$.fragment,e),u(D.$$.fragment,e),u(k.$$.fragment,e),u(E.$$.fragment,e),u(N.$$.fragment,e),u(G.$$.fragment,e),u(W.$$.fragment,e),u(b.$$.fragment,e),u(M.$$.fragment,e),je=!0)},o(e){g(L.$$.fragment,e),g(A.$$.fragment,e),g(D.$$.fragment,e),g(k.$$.fragment,e),g(E.$$.fragment,e),g(N.$$.fragment,e),g(G.$$.fragment,e),g(W.$$.fragment,e),g(b.$$.fragment,e),g(M.$$.fragment,e),je=!1},d(e){e&&(o(m),o(c),o(v),o(le),o(C),o(re),o(S),o(ie),o(x),o(de),o($),o(ce),o(me),o(pe),o(H),o(he),o(fe),o(_),o(ue),o(O),o(ge),o(we),o(P),o(ve),o(F),o(ye),o(be),o(I),o(Me),o(U),o(Te),o(Le),o(R),o(Ce),o(Se),o(B),o(xe),o(j),o($e),o(z),o(Ae),o(q),o(De),o(Y),o(He),o(y),o(ke),o(V),o(_e),o(Q),o(Oe),o(Ee),o(Pe),o(Z),o(Fe),o(X),o(Ne),o(J),o(Ie),o(K),o(Ue),o(ee),o(Ge),o(te),o(Re),o(oe),o(We),o(ae),o(Be),o(se)),o(d),w(L,e),w(A,e),w(D,e),w(k,e),w(E,e),w(N,e),w(G,e),w(W,e),w(b,e),w(M,e)}}}const Et='{"title":"THE LANDSCAPE OF ML DOCUMENTATION TOOLS","local":"the-landscape-of-ml-documentation-tools","sections":[{"title":"Summary of ML Documentation Tools","local":"summary-of-ml-documentation-tools","sections":[{"title":"Figure 1","local":"figure-1","sections":[],"depth":3},{"title":"DATA-FOCUSED DOCUMENTATION TOOLS","local":"data-focused-documentation-tools","sections":[],"depth":3},{"title":"MODEL-AND-METHOD-FOCUSED DOCUMENTATION TOOLS","local":"model-and-method-focused-documentation-tools","sections":[],"depth":3},{"title":"SYSTEM-FOCUSED DOCUMENTATION TOOLS","local":"system-focused-documentation-tools","sections":[],"depth":3}],"depth":2},{"title":"THE EVOLUTION OF MODEL CARDS","local":"the-evolution-of-model-cards","sections":[{"title":"MODEL CARDS ON THE HUGGING FACE HUB","local":"model-cards-on-the-hugging-face-hub","sections":[],"depth":3}],"depth":2}],"depth":1}';function Pt(ne){return xt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Gt extends $t{constructor(d){super(),At(this,d,Pt,Ot,St,{})}}export{Gt as component};
